Package csb :: Package apps :: Module csfrag :: Class SecondaryShiftConverter

[frames] | no frames]

# Class SecondaryShiftConverter

source code

    object --+
             |
            SecondaryShiftConverter

Helper, which reads assigned shifts from NMR STAR files and calculates corrected secondary shifts.

Instance Methods

dict

convert(self, file, chain) Compute secondary shofts. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### convert(self, file, chain)

source code

Compute secondary shofts.

Parameters:
  - `file` (str) - NMR STAR path and file name
  - `chain` (Chain) - the protein chain, containing the chemical shifts (Chain.from_sequence may be useful)
Returns: dict
  dictionary of the form: [rank: [nucleus: sec shift]]